Package Details: gns3-server-git v2.1.9.r26.geb0e26b5-1

Git Clone URL: https://aur.archlinux.org/gns3-server-git.git (read-only)
Package Base: gns3-server-git
Description: GNS3 network simulator, Server package
Upstream URL: https://github.com/GNS3/gns3-server
Keywords: emulator gns3 network server
Licenses: GPL3
Groups: gns3
Conflicts: gns3-server
Provides: gns3-server
Submitter: jnbrains
Maintainer: buzo
Last Packager: buzo
Votes: 5
Popularity: 0.732740
First Submitted: 2017-06-21 14:36
Last Updated: 2018-09-12 14:18

Dependencies (19)

Required by (2)

Sources (2)

Latest Comments

buzo commented on 2018-09-12 09:21

Thanks cioby23, I have downgraded those two packages.

cioby23 commented on 2018-09-12 06:20

python-aiohttp-cors-gns3 and python-aiohttp-gns3 packages need to be downgraded to the versions below according to the gns3server requirements https://github.com/GNS3/gns3-server/blob/master/requirements.txt

python-aiohttp-cors-gns3 ---> 0.5.3 python-aiohttp-gns3 ---> 2.3.10

https://github.com/GNS3/gns3-gui/issues/2566#issuecomment-417904691

olace commented on 2018-09-05 20:09

Hi, could you help with this errors?

set 05 17:05:11 arch gns3server[2078]: Traceback (most recent call last): set 05 17:05:11 arch gns3server[2078]: File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 578, in _build_master
set 05 17:05:11 arch gns3server[2078]: ws.require(requires) set 05 17:05:11 arch gns3server[2078]: File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 895, in require
set 05 17:05:11 arch gns3server[2078]: needed = self.resolve(parse_requirements(requirements))
set 05 17:05:11 arch gns3server[2078]: File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 786, in resolve
set 05 17:05:11 arch gns3server[2078]: raise VersionConflict(dist, req).with_context(dependent_req)
set 05 17:05:11 arch gns3server[2078]: pkg_resources.ContextualVersionConflict: (aiohttp 2.2.0 (/usr/lib/python3.7/site-packages), Requirement.parse('aiohttp<2.4.0,>=2.3.3'), {'gns3-server'}) set 05 17:05:11 arch gns3server[2078]: During handling of the above exception, another exception occurred:
set 05 17:05:11 arch gns3server[2078]: Traceback (most recent call last): set 05 17:05:11 arch gns3server[2078]: File "/usr/bin/gns3server", line 6, in <module>
set 05 17:05:11 arch gns3server[2078]: from pkg_resources import load_entry_point
set 05 17:05:11 arch gns3server[2078]: File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3105, in <module>
set 05 17:05:11 arch gns3server[2078]: @_call_aside set 05 17:05:11 arch gns3server[2078]: File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3089, in _call_aside
set 05 17:05:11 arch gns3server[2078]: f(args, *kwargs) set 05 17:05:11 arch gns3server[2078]: File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3118, in _initialize_master_working_set
set 05 17:05:11 arch gns3server[2078]: working_set = WorkingSet._build_master()
set 05 17:05:11 arch gns3server[2078]: File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 580, in _build_master
set 05 17:05:11 arch gns3server[2078]: return cls._build_from_requirements(requires)
set 05 17:05:11 arch gns3server[2078]: File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 593, in _build_from_requirements
set 05 17:05:11 arch gns3server[2078]: dists = ws.resolve(reqs, Environment())
set 05 17:05:11 arch gns3server[2078]: File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 781, in resolve
set 05 17:05:11 arch gns3server[2078]: raise DistributionNotFound(req, requirers)
set 05 17:05:11 arch gns3server[2078]: pkg_resources.DistributionNotFound: The 'aiohttp<2.4.0,>=2.3.3' distribution was not found and is required by gns3-server"</module></module>

I have installed python-aiohttp-cors-gns3 0.5.3-2 and python-aiohttp-gns3 2.2.0-4.